<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * Agenda
 *
 * @ORM\Table(name="agenda", indexes={@ORM\Index(name="cve_mesa", columns={"cve_mesa"}), @ORM\Index(name="cve_evento", columns={"cve_evento"}), @ORM\Index(name="cve_area", columns={"cve_area"})})
 * @ORM\Entity
 */
class Agenda
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_agenda", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAgenda;

    /**
     * @var string|null
     *
     * @ORM\Column(name="nombre", type="text", length=65535, nullable=true, options={"default"="NULL"})
     */
    private $nombre = 'NULL';

    /**
     * @var string|null
     *
     * @ORM\Column(name="apellido_pat", type="text", length=65535, nullable=true, options={"default"="NULL"})
     */
    private $apellidoPat = 'NULL';

    /**
     * @var string|null
     *
     * @ORM\Column(name="apellido_mat", type="text", length=65535, nullable=true, options={"default"="NULL"})
     */
    private $apellidoMat = 'NULL';

    /**
     * @var string|null
     *
     * @ORM\Column(name="telefono", type="text", length=65535, nullable=true, options={"default"="NULL"})
     */
    private $telefono = 'NULL';

    /**
     * @var string|null
     *
     * @ORM\Column(name="email", type="string", length=250, nullable=true, options={"default"="NULL"})
     */
    private $email = 'NULL';

    /**
     * @var string|null
     *
     * @ORM\Column(name="tipo_reservacion", type="string", length=200, nullable=true, options={"default"="NULL"})
     */
    private $tipoReservacion = 'NULL';

    /**
     * @var bool|null
     *
     * @ORM\Column(name="puerta_cerrada", type="boolean", nullable=true, options={"default"="NULL"})
     */
    private $puertaCerrada = 'NULL';

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="fec_reserva", type="date", nullable=true, options={"default"="NULL"})
     */
    private $fecReserva = 'NULL';

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="hora_reserva", type="time", nullable=true, options={"default"="NULL"})
     */
    private $horaReserva = 'NULL';

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="fec_termino_reserva", type="date", nullable=true, options={"default"="NULL"})
     */
    private $fecTerminoReserva = 'NULL';

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="hora_termino_reserva", type="time", nullable=true, options={"default"="NULL"})
     */
    private $horaTerminoReserva = 'NULL';

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=true, options={"default"="NULL"})
     */
    private $fecMov = 'NULL';

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=true, options={"default"="NULL"})
     */
    private $horMov = 'NULL';

    /**
     * @var \Evento
     *
     * @ORM\ManyToOne(targetEntity="Evento")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_evento", referencedColumnName="ide_evento")
     * })
     */
    private $cveEvento;

    /**
     * @var \Area
     *
     * @ORM\ManyToOne(targetEntity="Area")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_area", referencedColumnName="ide_area")
     * })
     */
    private $cveArea;

    /**
     * @var \Mesas
     *
     * @ORM\ManyToOne(targetEntity="Mesas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_mesa", referencedColumnName="ide_mes")
     * })
     */
    private $cveMesa;

    public function getIdeAgenda(): ?int
    {
        return $this->ideAgenda;
    }

    public function getNombre(): ?string
    {
        return $this->nombre;
    }

    public function setNombre(?string $nombre): self
    {
        $this->nombre = $nombre;

        return $this;
    }

    public function getApellidoPat(): ?string
    {
        return $this->apellidoPat;
    }

    public function setApellidoPat(?string $apellidoPat): self
    {
        $this->apellidoPat = $apellidoPat;

        return $this;
    }

    public function getApellidoMat(): ?string
    {
        return $this->apellidoMat;
    }

    public function setApellidoMat(?string $apellidoMat): self
    {
        $this->apellidoMat = $apellidoMat;

        return $this;
    }

    public function getTelefono(): ?string
    {
        return $this->telefono;
    }

    public function setTelefono(?string $telefono): self
    {
        $this->telefono = $telefono;

        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(?string $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getTipoReservacion(): ?string
    {
        return $this->tipoReservacion;
    }

    public function setTipoReservacion(?string $tipoReservacion): self
    {
        $this->tipoReservacion = $tipoReservacion;

        return $this;
    }

    public function isPuertaCerrada(): ?bool
    {
        return $this->puertaCerrada;
    }

    public function setPuertaCerrada(?bool $puertaCerrada): self
    {
        $this->puertaCerrada = $puertaCerrada;

        return $this;
    }

    public function getFecReserva(): ?\DateTimeInterface
    {
        return $this->fecReserva;
    }

    public function setFecReserva(?\DateTimeInterface $fecReserva): self
    {
        $this->fecReserva = $fecReserva;

        return $this;
    }

    public function getHoraReserva(): ?\DateTimeInterface
    {
        return $this->horaReserva;
    }

    public function setHoraReserva(?\DateTimeInterface $horaReserva): self
    {
        $this->horaReserva = $horaReserva;

        return $this;
    }

    public function getFecTerminoReserva(): ?\DateTimeInterface
    {
        return $this->fecTerminoReserva;
    }

    public function setFecTerminoReserva(?\DateTimeInterface $fecTerminoReserva): self
    {
        $this->fecTerminoReserva = $fecTerminoReserva;

        return $this;
    }

    public function getHoraTerminoReserva(): ?\DateTimeInterface
    {
        return $this->horaTerminoReserva;
    }

    public function setHoraTerminoReserva(?\DateTimeInterface $horaTerminoReserva): self
    {
        $this->horaTerminoReserva = $horaTerminoReserva;

        return $this;
    }

    public function getFecMov(): ?\DateTimeInterface
    {
        return $this->fecMov;
    }

    public function setFecMov(?\DateTimeInterface $fecMov): self
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    public function getHorMov(): ?\DateTimeInterface
    {
        return $this->horMov;
    }

    public function setHorMov(?\DateTimeInterface $horMov): self
    {
        $this->horMov = $horMov;

        return $this;
    }

    public function getCveEvento(): ?Evento
    {
        return $this->cveEvento;
    }

    public function setCveEvento(?Evento $cveEvento): self
    {
        $this->cveEvento = $cveEvento;

        return $this;
    }

    public function getCveArea(): ?Area
    {
        return $this->cveArea;
    }

    public function setCveArea(?Area $cveArea): self
    {
        $this->cveArea = $cveArea;

        return $this;
    }

    public function getCveMesa(): ?Mesas
    {
        return $this->cveMesa;
    }

    public function setCveMesa(?Mesas $cveMesa): self
    {
        $this->cveMesa = $cveMesa;

        return $this;
    }


}
