<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ArticulosInventario
 *
 * @ORM\Table(name="articulos_inventario", indexes={@ORM\Index(name="cve_categoria", columns={"cve_categoria"})})
 * @ORM\Entity
 */
class ArticulosInventario
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_art_inv", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideArtInv;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_articulo", type="string", length=250, nullable=false)
     */
    private $nomArticulo;

    /**
     * @var \CategoriaInventario
     *
     * @ORM\ManyToOne(targetEntity="CategoriaInventario")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_categoria", referencedColumnName="ide_categoria_inventario")
     * })
     */
    private $cveCategoria;

    public function getIdeArtInv(): ?int
    {
        return $this->ideArtInv;
    }

    public function getNomArticulo(): ?string
    {
        return $this->nomArticulo;
    }

    public function setNomArticulo(string $nomArticulo): self
    {
        $this->nomArticulo = $nomArticulo;

        return $this;
    }

    public function getCveCategoria(): ?CategoriaInventario
    {
        return $this->cveCategoria;
    }

    public function setCveCategoria(?CategoriaInventario $cveCategoria): self
    {
        $this->cveCategoria = $cveCategoria;

        return $this;
    }


}
