<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Empleados
 *
 * @ORM\Table(name="empleados")
 * @ORM\Entity
 */
class Empleados
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_emp", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideEmp;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_emp", type="string", length=255, nullable=false)
     */
    private $nomEmp;

    /**
     * @var string
     *
     * @ORM\Column(name="pri_ape", type="string", length=255, nullable=false)
     */
    private $priApe;

    /**
     * @var string|null
     *
     * @ORM\Column(name="seg_ape", type="string", length=255, nullable=true, options={"default"="NULL"})
     */
    private $segApe = 'NULL';

    /**
     * @var int|null
     *
     * @ORM\Column(name="estatus", type="integer", nullable=true, options={"default"="NULL"})
     */
    private $estatus = NULL;

    public function getIdeEmp(): ?int
    {
        return $this->ideEmp;
    }

    public function getNomEmp(): ?string
    {
        return $this->nomEmp;
    }

    public function setNomEmp(string $nomEmp): self
    {
        $this->nomEmp = $nomEmp;

        return $this;
    }

    public function getPriApe(): ?string
    {
        return $this->priApe;
    }

    public function setPriApe(string $priApe): self
    {
        $this->priApe = $priApe;

        return $this;
    }

    public function getSegApe(): ?string
    {
        return $this->segApe;
    }

    public function setSegApe(?string $segApe): self
    {
        $this->segApe = $segApe;

        return $this;
    }

    public function getEstatus(): ?int
    {
        return $this->estatus;
    }

    public function setEstatus(?int $estatus): self
    {
        $this->estatus = $estatus;

        return $this;
    }


}
