<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * Gastos
 *
 * @ORM\Table(name="gastos", indexes={@ORM\Index(name="cve_cat_gast", columns={"cve_cat_gast"}), @ORM\Index(name="cve_tipo_pago", columns={"cve_tipo_pago"}), @ORM\Index(name="cve_emp", columns={"cve_emp"})})
 * @ORM\Entity
 */
class Gastos
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_gast", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideGast;

    /**
     * @var string
     *
     * @ORM\Column(name="desc_gast", type="text", length=65535, nullable=false)
     */
    private $descGast;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov_gast", type="date", nullable=false)
     */
    private $fecMovGast;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="hor_mov_gast", type="time", nullable=true, options={"default"="NULL"})
     */
    private $horMovGast = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="tot_mon", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $totMon;

    /**
     * @var string
     *
     * @ORM\Column(name="fol_tic", type="text", length=65535, nullable=false)
     */
    private $folTic;

    /**
     * @var string|null
     *
     * @ORM\Column(name="rut_imag_tic", type="text", length=65535, nullable=true, options={"default"="NULL"})
     */
    private $rutImagTic = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \Usuarios
     *
     * @ORM\ManyToOne(targetEntity="Usuarios")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_emp", referencedColumnName="ide_usu")
     * })
     */
    private $cveEmp;

    /**
     * @var \ModoPagos
     *
     * @ORM\ManyToOne(targetEntity="ModoPagos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_tipo_pago", referencedColumnName="ide_mod_pag")
     * })
     */
    private $cveTipoPago;

    /**
     * @var \CatalogoGastos
     *
     * @ORM\ManyToOne(targetEntity="CatalogoGastos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_cat_gast", referencedColumnName="ide_cat_gast")
     * })
     */
    private $cveCatGast;

    public function getIdeGast(): ?string
    {
        return $this->ideGast;
    }

    public function getDescGast(): ?string
    {
        return $this->descGast;
    }

    public function setDescGast(string $descGast): self
    {
        $this->descGast = $descGast;

        return $this;
    }

    public function getFecMovGast(): ?\DateTimeInterface
    {
        return $this->fecMovGast;
    }

    public function setFecMovGast(\DateTimeInterface $fecMovGast): self
    {
        $this->fecMovGast = $fecMovGast;

        return $this;
    }

    public function getHorMovGast(): ?\DateTimeInterface
    {
        return $this->horMovGast;
    }

    public function setHorMovGast(?\DateTimeInterface $horMovGast): self
    {
        $this->horMovGast = $horMovGast;

        return $this;
    }

    public function getTotMon(): ?string
    {
        return $this->totMon;
    }

    public function setTotMon(string $totMon): self
    {
        $this->totMon = $totMon;

        return $this;
    }

    public function getFolTic(): ?string
    {
        return $this->folTic;
    }

    public function setFolTic(string $folTic): self
    {
        $this->folTic = $folTic;

        return $this;
    }

    public function getRutImagTic(): ?string
    {
        return $this->rutImagTic;
    }

    public function setRutImagTic(?string $rutImagTic): self
    {
        $this->rutImagTic = $rutImagTic;

        return $this;
    }

    public function getFecMov(): ?\DateTimeInterface
    {
        return $this->fecMov;
    }

    public function setFecMov(\DateTimeInterface $fecMov): self
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    public function getHorMov(): ?\DateTimeInterface
    {
        return $this->horMov;
    }

    public function setHorMov(\DateTimeInterface $horMov): self
    {
        $this->horMov = $horMov;

        return $this;
    }

    public function getCveEmp(): ?Usuarios
    {
        return $this->cveEmp;
    }

    public function setCveEmp(?Usuarios $cveEmp): self
    {
        $this->cveEmp = $cveEmp;

        return $this;
    }

    public function getCveTipoPago(): ?ModoPagos
    {
        return $this->cveTipoPago;
    }

    public function setCveTipoPago(?ModoPagos $cveTipoPago): self
    {
        $this->cveTipoPago = $cveTipoPago;

        return $this;
    }

    public function getCveCatGast(): ?CatalogoGastos
    {
        return $this->cveCatGast;
    }

    public function setCveCatGast(?CatalogoGastos $cveCatGast): self
    {
        $this->cveCatGast = $cveCatGast;

        return $this;
    }


}
