<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * Ingresos
 *
 * @ORM\Table(name="ingresos", indexes={@ORM\Index(name="cve_mod_pag", columns={"cve_mod_pag"}), @ORM\Index(name="cve_mod_pag_propina", columns={"cve_mod_pag_propina"}), @ORM\Index(name="cve_ser_cue", columns={"cve_ser_cue"})})
 * @ORM\Entity
 */
class Ingresos
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_ing", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideIng;

    /**
     * @var string
     *
     * @ORM\Column(name="total", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $total = '0.00';

    /**
     * @var string|null
     *
     * @ORM\Column(name="referencia", type="string", length=100, nullable=true, options={"default"="NULL"})
     */
    private $referencia = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="pago_con", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $pagoCon = '0.00';

    /**
     * @var string
     *
     * @ORM\Column(name="cambio", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $cambio = '0.00';

    /**
     * @var string
     *
     * @ORM\Column(name="propina", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $propina = '0.00';

    /**
     * @var bool
     *
     * @ORM\Column(name="bandera_propina", type="boolean", nullable=false)
     */
    private $banderaPropina = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="recibo", type="string", length=20, nullable=false)
     */
    private $recibo;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \ModoPagos
     *
     * @ORM\ManyToOne(targetEntity="ModoPagos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_mod_pag", referencedColumnName="ide_mod_pag")
     * })
     */
    private $cveModPag;

    /**
     * @var \ServiciosCuenta
     *
     * @ORM\ManyToOne(targetEntity="ServiciosCuenta")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ser_cue", referencedColumnName="ide_ser_cue")
     * })
     */
    private $cveSerCue;

    /**
     * @var \ModoPagos
     *
     * @ORM\ManyToOne(targetEntity="ModoPagos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_mod_pag_propina", referencedColumnName="ide_mod_pag")
     * })
     */
    private $cveModPagPropina;

    public function getIdeIng(): ?string
    {
        return $this->ideIng;
    }

    public function getTotal(): ?string
    {
        return $this->total;
    }

    public function setTotal(string $total): self
    {
        $this->total = $total;

        return $this;
    }

    public function getReferencia(): ?string
    {
        return $this->referencia;
    }

    public function setReferencia(?string $referencia): self
    {
        $this->referencia = $referencia;

        return $this;
    }

    public function getPagoCon(): ?string
    {
        return $this->pagoCon;
    }

    public function setPagoCon(string $pagoCon): self
    {
        $this->pagoCon = $pagoCon;

        return $this;
    }

    public function getCambio(): ?string
    {
        return $this->cambio;
    }

    public function setCambio(string $cambio): self
    {
        $this->cambio = $cambio;

        return $this;
    }

    public function getPropina(): ?string
    {
        return $this->propina;
    }

    public function setPropina(string $propina): self
    {
        $this->propina = $propina;

        return $this;
    }

    public function isBanderaPropina(): ?bool
    {
        return $this->banderaPropina;
    }

    public function setBanderaPropina(bool $banderaPropina): self
    {
        $this->banderaPropina = $banderaPropina;

        return $this;
    }

    public function getRecibo(): ?string
    {
        return $this->recibo;
    }

    public function setRecibo(string $recibo): self
    {
        $this->recibo = $recibo;

        return $this;
    }

    public function getFecMov(): ?\DateTimeInterface
    {
        return $this->fecMov;
    }

    public function setFecMov(\DateTimeInterface $fecMov): self
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    public function getHorMov(): ?\DateTimeInterface
    {
        return $this->horMov;
    }

    public function setHorMov(\DateTimeInterface $horMov): self
    {
        $this->horMov = $horMov;

        return $this;
    }

    public function getCveModPag(): ?ModoPagos
    {
        return $this->cveModPag;
    }

    public function setCveModPag(?ModoPagos $cveModPag): self
    {
        $this->cveModPag = $cveModPag;

        return $this;
    }

    public function getCveSerCue(): ?ServiciosCuenta
    {
        return $this->cveSerCue;
    }

    public function setCveSerCue(?ServiciosCuenta $cveSerCue): self
    {
        $this->cveSerCue = $cveSerCue;

        return $this;
    }

    public function getCveModPagPropina(): ?ModoPagos
    {
        return $this->cveModPagPropina;
    }

    public function setCveModPagPropina(?ModoPagos $cveModPagPropina): self
    {
        $this->cveModPagPropina = $cveModPagPropina;

        return $this;
    }


}
