<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Inventario
 *
 * @ORM\Table(name="inventario", uniqueConstraints={@ORM\UniqueConstraint(name="cve_lugar", columns={"cve_articulo"})}, indexes={@ORM\Index(name="cve_articulo", columns={"cve_articulo"}), @ORM\Index(name="cve_lugar_inventario", columns={"cve_lugar_inventario"})})
 * @ORM\Entity
 */
class Inventario
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_inv", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideInv;

    /**
     * @var int
     *
     * @ORM\Column(name="stock", type="integer", nullable=false)
     */
    private $stock = '0';

    /**
     * @var \ArticulosInventario
     *
     * @ORM\ManyToOne(targetEntity="ArticulosInventario")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_articulo", referencedColumnName="ide_art_inv")
     * })
     */
    private $cveArticulo;

    /**
     * @var \CatalogoLugarInventario
     *
     * @ORM\ManyToOne(targetEntity="CatalogoLugarInventario")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lugar_inventario", referencedColumnName="ide_lugar")
     * })
     */
    private $cveLugarInventario;

    public function getIdeInv(): ?int
    {
        return $this->ideInv;
    }

    public function getStock(): ?int
    {
        return $this->stock;
    }

    public function setStock(int $stock): self
    {
        $this->stock = $stock;

        return $this;
    }

    public function getCveArticulo(): ?ArticulosInventario
    {
        return $this->cveArticulo;
    }

    public function setCveArticulo(?ArticulosInventario $cveArticulo): self
    {
        $this->cveArticulo = $cveArticulo;

        return $this;
    }

    public function getCveLugarInventario(): ?CatalogoLugarInventario
    {
        return $this->cveLugarInventario;
    }

    public function setCveLugarInventario(?CatalogoLugarInventario $cveLugarInventario): self
    {
        $this->cveLugarInventario = $cveLugarInventario;

        return $this;
    }


}
