<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * Menus
 *
 * @ORM\Table(name="menus", indexes={@ORM\Index(name="cve_cat_men", columns={"cve_cat_men"})})
 * @ORM\Entity
 */
class Menus
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_men", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideMen;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_men", type="string", length=255, nullable=false)
     */
    private $nomMen;

    /**
     * @var string
     *
     * @ORM\Column(name="des_men", type="text", length=65535, nullable=false)
     */
    private $desMen;

    /**
     * @var string
     *
     * @ORM\Column(name="precio", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $precio = '0.00';

    /**
     * @var string|null
     *
     * @ORM\Column(name="img_men", type="string", length=500, nullable=true, options={"default"="NULL"})
     */
    private $imgMen = 'NULL';

    /**
     * @var \CategoriasMenu
     *
     * @ORM\ManyToOne(targetEntity="CategoriasMenu")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_cat_men", referencedColumnName="ide_cat_men")
     * })
     */
    private $cveCatMen;

    public function getIdeMen(): ?int
    {
        return $this->ideMen;
    }

    public function getNomMen(): ?string
    {
        return $this->nomMen;
    }

    public function setNomMen(string $nomMen): self
    {
        $this->nomMen = $nomMen;

        return $this;
    }

    public function getDesMen(): ?string
    {
        return $this->desMen;
    }

    public function setDesMen(string $desMen): self
    {
        $this->desMen = $desMen;

        return $this;
    }

    public function getPrecio(): ?string
    {
        return $this->precio;
    }

    public function setPrecio(string $precio): self
    {
        $this->precio = $precio;

        return $this;
    }

    public function getImgMen(): ?string
    {
        return $this->imgMen;
    }

    public function setImgMen(?string $imgMen): self
    {
        $this->imgMen = $imgMen;

        return $this;
    }

    public function getCveCatMen(): ?CategoriasMenu
    {
        return $this->cveCatMen;
    }

    public function setCveCatMen(?CategoriasMenu $cveCatMen): self
    {
        $this->cveCatMen = $cveCatMen;

        return $this;
    }


}
