<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * MovimientosInventario
 *
 * @ORM\Table(name="movimientos_inventario", indexes={@ORM\Index(name="cve_inventario", columns={"cve_inventario"})})
 * @ORM\Entity
 */
class MovimientosInventario
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_mov_inv", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideMovInv;

    /**
     * @var int
     *
     * @ORM\Column(name="cantidad", type="integer", nullable=false)
     */
    private $cantidad = '0';

    /**
     * @var bool|null
     *
     * @ORM\Column(name="tipo_movimiento", type="boolean", nullable=true, options={"default"="1"})
     */
    private $tipoMovimiento = true;

    /**
     * @var string|null
     *
     * @ORM\Column(name="observaciones", type="text", length=65535, nullable=true, options={"default"="NULL"})
     */
    private $observaciones = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_movimiento", type="date", nullable=false)
     */
    private $fecMovimiento;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_movimiento", type="time", nullable=false)
     */
    private $horMovimiento;

    /**
     * @var \Inventario
     *
     * @ORM\ManyToOne(targetEntity="Inventario")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_inventario", referencedColumnName="ide_inv")
     * })
     */
    private $cveInventario;

    public function getIdeMovInv(): ?int
    {
        return $this->ideMovInv;
    }

    public function getCantidad(): ?int
    {
        return $this->cantidad;
    }

    public function setCantidad(int $cantidad): self
    {
        $this->cantidad = $cantidad;

        return $this;
    }

    public function isTipoMovimiento(): ?bool
    {
        return $this->tipoMovimiento;
    }

    public function setTipoMovimiento(?bool $tipoMovimiento): self
    {
        $this->tipoMovimiento = $tipoMovimiento;

        return $this;
    }

    public function getObservaciones(): ?string
    {
        return $this->observaciones;
    }

    public function setObservaciones(?string $observaciones): self
    {
        $this->observaciones = $observaciones;

        return $this;
    }

    public function getFecMovimiento(): ?\DateTimeInterface
    {
        return $this->fecMovimiento;
    }

    public function setFecMovimiento(\DateTimeInterface $fecMovimiento): self
    {
        $this->fecMovimiento = $fecMovimiento;

        return $this;
    }

    public function getHorMovimiento(): ?\DateTimeInterface
    {
        return $this->horMovimiento;
    }

    public function setHorMovimiento(\DateTimeInterface $horMovimiento): self
    {
        $this->horMovimiento = $horMovimiento;

        return $this;
    }

    public function getCveInventario(): ?Inventario
    {
        return $this->cveInventario;
    }

    public function setCveInventario(?Inventario $cveInventario): self
    {
        $this->cveInventario = $cveInventario;

        return $this;
    }


}
