<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * Servicios
 *
 * @ORM\Table(name="servicios", indexes={@ORM\Index(name="cve_emp", columns={"cve_emp"}), @ORM\Index(name="cve_tip_ser", columns={"cve_tip_ser"}), @ORM\Index(name="cve_mes", columns={"cve_mes"})})
 * @ORM\Entity
 */
class Servicios
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_ser", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideSer;

    /**
     * @var int
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false, options={"default"="1"})
     */
    private $estatus = 1;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="hor_cierre", type="time", nullable=true, options={"default"="NULL"})
     */
    private $horCierre = 'NULL';

    /**
     * @var bool
     *
     * @ORM\Column(name="cancelar_servicio", type="boolean", nullable=false)
     */
    private $cancelarServicio;

    /**
     * @var \Empleados
     *
     * @ORM\ManyToOne(targetEntity="Empleados")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_emp", referencedColumnName="ide_emp")
     * })
     */
    private $cveEmp;

    /**
     * @var \Mesas
     *
     * @ORM\ManyToOne(targetEntity="Mesas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_mes", referencedColumnName="ide_mes")
     * })
     */
    private $cveMes;

    /**
     * @var \TiposServicio
     *
     * @ORM\ManyToOne(targetEntity="TiposServicio")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_tip_ser", referencedColumnName="ide_tip_ser")
     * })
     */
    private $cveTipSer;

    public function getIdeSer(): ?string
    {
        return $this->ideSer;
    }

    public function getEstatus(): ?int
    {
        return $this->estatus;
    }

    public function setEstatus(int $estatus): self
    {
        $this->estatus = $estatus;

        return $this;
    }

    public function getFecMov(): ?\DateTimeInterface
    {
        return $this->fecMov;
    }

    public function setFecMov(\DateTimeInterface $fecMov): self
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    public function getHorMov(): ?\DateTimeInterface
    {
        return $this->horMov;
    }

    public function setHorMov(\DateTimeInterface $horMov): self
    {
        $this->horMov = $horMov;

        return $this;
    }

    public function getHorCierre(): ?\DateTimeInterface
    {
        return $this->horCierre;
    }

    public function setHorCierre(?\DateTimeInterface $horCierre): self
    {
        $this->horCierre = $horCierre;

        return $this;
    }

    public function isCancelarServicio(): ?bool
    {
        return $this->cancelarServicio;
    }

    public function setCancelarServicio(bool $cancelarServicio): self
    {
        $this->cancelarServicio = $cancelarServicio;

        return $this;
    }

    public function getCveEmp(): ?Empleados
    {
        return $this->cveEmp;
    }

    public function setCveEmp(?Empleados $cveEmp): self
    {
        $this->cveEmp = $cveEmp;

        return $this;
    }

    public function getCveMes(): ?Mesas
    {
        return $this->cveMes;
    }

    public function setCveMes(?Mesas $cveMes): self
    {
        $this->cveMes = $cveMes;

        return $this;
    }

    public function getCveTipSer(): ?TiposServicio
    {
        return $this->cveTipSer;
    }

    public function setCveTipSer(?TiposServicio $cveTipSer): self
    {
        $this->cveTipSer = $cveTipSer;

        return $this;
    }


}
