<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * ServiciosCuenta
 *
 * @ORM\Table(name="servicios_cuenta", indexes={@ORM\Index(name="cve_ser", columns={"cve_ser"})})
 * @ORM\Entity
 */
class ServiciosCuenta
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_ser_cue", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideSerCue;

    /**
     * @var string
     *
     * @ORM\Column(name="subtotal", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $subtotal = '0.00';

    /**
     * @var int|null
     *
     * @ORM\Column(name="descuento", type="integer", nullable=true)
     */
    private $descuento = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="total", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $total = '0.00';

    /**
     * @var \Servicios
     *
     * @ORM\ManyToOne(targetEntity="Servicios")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ser", referencedColumnName="ide_ser")
     * })
     */
    private $cveSer;

    public function getIdeSerCue(): ?string
    {
        return $this->ideSerCue;
    }

    public function getSubtotal(): ?string
    {
        return $this->subtotal;
    }

    public function setSubtotal(string $subtotal): self
    {
        $this->subtotal = $subtotal;

        return $this;
    }

    public function getDescuento(): ?int
    {
        return $this->descuento;
    }

    public function setDescuento(?int $descuento): self
    {
        $this->descuento = $descuento;

        return $this;
    }

    public function getTotal(): ?string
    {
        return $this->total;
    }

    public function setTotal(string $total): self
    {
        $this->total = $total;

        return $this;
    }

    public function getCveSer(): ?Servicios
    {
        return $this->cveSer;
    }

    public function setCveSer(?Servicios $cveSer): self
    {
        $this->cveSer = $cveSer;

        return $this;
    }


}
