<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * ServiciosMenu
 *
 * @ORM\Table(name="servicios_menu", indexes={@ORM\Index(name="cve_men", columns={"cve_men"}), @ORM\Index(name="cve_ser", columns={"cve_ser"})})
 * @ORM\Entity
 */
class ServiciosMenu
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_ser_men", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideSerMen;

    /**
     * @var string
     *
     * @ORM\Column(name="precio", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $precio = '0.00';

    /**
     * @var int|null
     *
     * @ORM\Column(name="descuento", type="integer", nullable=true)
     */
    private $descuento = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="subtotal", type="decimal", precision=10, scale=2, nullable=false, options={"default"="0.00"})
     */
    private $subtotal = '0.00';

    /**
     * @var \Menus
     *
     * @ORM\ManyToOne(targetEntity="Menus")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_men", referencedColumnName="ide_men")
     * })
     */
    private $cveMen;

    /**
     * @var \Servicios
     *
     * @ORM\ManyToOne(targetEntity="Servicios")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ser", referencedColumnName="ide_ser")
     * })
     */
    private $cveSer;

    public function getIdeSerMen(): ?string
    {
        return $this->ideSerMen;
    }

    public function getPrecio(): ?string
    {
        return $this->precio;
    }

    public function setPrecio(string $precio): self
    {
        $this->precio = $precio;

        return $this;
    }

    public function getDescuento(): ?int
    {
        return $this->descuento;
    }

    public function setDescuento(?int $descuento): self
    {
        $this->descuento = $descuento;

        return $this;
    }

    public function getSubtotal(): ?string
    {
        return $this->subtotal;
    }

    public function setSubtotal(string $subtotal): self
    {
        $this->subtotal = $subtotal;

        return $this;
    }

    public function getCveMen(): ?Menus
    {
        return $this->cveMen;
    }

    public function setCveMen(?Menus $cveMen): self
    {
        $this->cveMen = $cveMen;

        return $this;
    }

    public function getCveSer(): ?Servicios
    {
        return $this->cveSer;
    }

    public function setCveSer(?Servicios $cveSer): self
    {
        $this->cveSer = $cveSer;

        return $this;
    }


}
