<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * Tickets
 *
 * @ORM\Table(name="tickets", indexes={@ORM\Index(name="cve_gasto", columns={"cve_gasto"})})
 * @ORM\Entity
 */
class Tickets
{
    /**
     * @var int
     *
     * @ORM\Column(name="ide_tic", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideTic;

    /**
     * @var string
     *
     * @ORM\Column(name="ruta_imagen", type="text", length=65535, nullable=false)
     */
    private $rutaImagen;

    /**
     * @var \Gastos
     *
     * @ORM\ManyToOne(targetEntity="Gastos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_gasto", referencedColumnName="ide_gast")
     * })
     */
    private $cveGasto;

    public function getIdeTic(): ?int
    {
        return $this->ideTic;
    }

    public function getRutaImagen(): ?string
    {
        return $this->rutaImagen;
    }

    public function setRutaImagen(string $rutaImagen): self
    {
        $this->rutaImagen = $rutaImagen;

        return $this;
    }

    public function getCveGasto(): ?Gastos
    {
        return $this->cveGasto;
    }

    public function setCveGasto(?Gastos $cveGasto): self
    {
        $this->cveGasto = $cveGasto;

        return $this;
    }


}
